[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: please put not all into multiarch!

Hello Hans-J.,

"Hans-J. Ullrich" <hans.ullrich@loop.de> wrote:
> What I do not understand: Why does skype want to install lots of new 32-bit 
> libs, when the package (and this is the 32-bit one) already can use either 
> ia32-libs and ia32-libs-gtk (which are also used by other applications).

There is such a Skype package, it is called the amd64 version (from
dpkg’s point of view). However, this package contains 32 bit code and
therefore relies on ia32-libs etc.

> I suggest this solution: Packages should be built in that way, that they can 
> use either ia32-libs and ia32-libs-gtk or the libs from multiarch:i386.

There are simply two different versions of Skype there:
- Skype 32 bit uses multiarch:i386
- Skype 64 bit uses ia32-libs*

> On the other hand, it should be made sure, that 32-bit applications should be 
> able to use 64-bit libs as much as possible. 32-bit is dying! And in the next 
> years, it will not be used any more.

32-bit applications can and will never use 64-bit libs.



Reply to: